%define upstream_name    File-Find-Rule-Perl
%define upstream_version 1.16

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    Common rules for searching for Perl things
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find::Rule) >= 0.200.0
BuildRequires: perl(File::Spec) >= 0.820.0
BuildRequires: perl(Params::Util) >= 0.380.0
BuildRequires: perl(Parse::CPAN::Meta) >= 1.380.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
I write a lot of things that muck with Perl files. And it always annoyed me
that finding "perl files" requires a moderately complex the
File::Find::Rule manpage pattern.

*File::Find::Rule::Perl* provides methods for finding various Perl-related
files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
#make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.160.0-2.mga10
+ Revision: 2213189
- Mageia 10 Mass Rebuild

* Thu Mar 31 2022 tv <tv> 1.160.0-1.mga9
+ Revision: 1837107
- update to 1.16

* Sun Mar 20 2022 umeabot <umeabot> 1.150.0-6.mga9
+ Revision: 1803627
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.150.0-5.mga8
+ Revision: 1494483
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.150.0-4.mga7
+ Revision: 1267962
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.150.0-3.mga6
+ Revision: 1027302
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.150.0-2.mga6
+ Revision: 967521
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 1.150.0-1.mga6
+ Revision: 849195
- update to 1.15

* Wed Oct 15 2014 umeabot <umeabot> 1.130.0-5.mga5
+ Revision: 741665
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.130.0-4.mga5
+ Revision: 684725
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.130.0-3.mga4
+ Revision: 511537
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.130.0-2.mga3
+ Revision: 367223
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 1.130.0-1.mga3
+ Revision: 315057
- update to 1.13

* Sat Nov 05 2011 kharec <kharec> 1.120.0-1.mga2
+ Revision: 163612
- update to 1.12

* Sun Jan 23 2011 jquelin <jquelin> 1.100.0-1.mga1
+ Revision: 33770
- mageia rebuild
- imported package perl-File-Find-Rule-Perl

